Spaces method and path for this operation:
get /s/{space_id}/api/apm/settings/agent-configuration
Refer to Spaces for more information.
Retrieve all agent configurations. You must have read privileges for the APM and User Experience feature in Kibana. If agent configuration is not available on the current deployment, the API returns a 404.
GET
/api/apm/settings/agent-configuration
curl \
--request GET 'https://<KIBANA_URL>/api/apm/settings/agent-configuration' \
--header "Authorization: $API_KEY" \
--header "elastic-api-version: 2023-10-31"
Response examples (200)
An example of a successful response from `GET /api/apm/settings/agent-configuration`.
[
{
"@timestamp": 1581934104843,
"agent_name": "go",
"applied_by_agent": false,
"etag": "1e58c178efeebae15c25c539da740d21dee422fc",
"service": {
"environment": "production",
"name": "opbeans-go"
},
"settings": {
"capture_body": "off",
"transaction_max_spans": "200",
"transaction_sample_rate": "1"
}
},
{
"@timestamp": 1581934111727,
"agent_name": "go",
"applied_by_agent": false,
"etag": "3eed916d3db434d9fb7f039daa681c7a04539a64",
"service": {
"name": "opbeans-go"
},
"settings": {
"capture_body": "off",
"transaction_max_spans": "300",
"transaction_sample_rate": "1"
}
},
{
"@timestamp": 1582031336265,
"agent_name": "nodejs",
"applied_by_agent": false,
"etag": "5080ed25785b7b19f32713681e79f46996801a5b",
"service": {
"name": "frontend"
},
"settings": {
"transaction_sample_rate": "1"
}
}
]
Response examples (400)
An example of a 400 Bad Request response, returned when the request payload or query parameters fail validation.
{
"error": "Bad Request",
"message": "[request body]: expected value of type [string] but got [undefined]",
"statusCode": 400
}
Response examples (401)
An example of a 401 Unauthorized response, returned when the request is missing valid authentication credentials.
{
"error": "Unauthorized",
"message": "[security_exception]: missing authentication credentials for REST request",
"statusCode": 401
}
Response examples (404)
An example of a 404 Not Found response, returned when the requested resource does not exist or the feature is not available on the current deployment.
{
"error": "Not Found",
"message": "Not Found",
"statusCode": 404
}